org.apache.tiles.ognl

## Class TilesContextPropertyAccessorDelegateFactory

- java.lang.Object
- - org.apache.tiles.ognl.TilesContextPropertyAccessorDelegateFactory

- All Implemented Interfaces:
    PropertyAccessorDelegateFactory<Request>

      public class TilesContextPropertyAccessorDelegateFactory
      extends Object
      implements PropertyAccessorDelegateFactory<Request>

  Decides the appropriate `PropertyAccessor` for the given property name and `Request`.
  Since:
    2.2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TilesContextPropertyAccessorDelegateFactory(ognl.PropertyAccessor objectPropertyAccessor, ognl.PropertyAccessor applicationContextPropertyAccessor, ognl.PropertyAccessor anyScopePropertyAccessor, ognl.PropertyAccessor scopePropertyAccessor)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ognl.PropertyAccessor` | `getPropertyAccessor(String propertyName, Request request)` Returns a prooerty accessor appropriate for the property name and the object passed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TilesContextPropertyAccessorDelegateFactory

          public TilesContextPropertyAccessorDelegateFactory(ognl.PropertyAccessor objectPropertyAccessor,
                                                             ognl.PropertyAccessor applicationContextPropertyAccessor,
                                                             ognl.PropertyAccessor anyScopePropertyAccessor,
                                                             ognl.PropertyAccessor scopePropertyAccessor)

      Constructor.
      Parameters:
        `objectPropertyAccessor` - The plain object property accessor, to be used directly for `Request`.
        `applicationContextPropertyAccessor` - The application context property accessor.
        `anyScopePropertyAccessor` - The request scope property accessor.
        `scopePropertyAccessor` - The session scope property accessor.
      Since:
        2.2.0

  - ### Method Detail

    - #### getPropertyAccessor

          public ognl.PropertyAccessor getPropertyAccessor(String propertyName,
                                                           Request request)

      Returns a prooerty accessor appropriate for the property name and the object passed.
      Specified by:
        `getPropertyAccessor` in interface `PropertyAccessorDelegateFactory<Request>`
      Parameters:
        `propertyName` - The name of the property.
        `request` - The root object to evaluate.
      Returns:
        The appropriate property accessor.

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.